Package org.eclipse.emf.cdo.common.lob

## Class CDOClob

- java.lang.Object
- - org.eclipse.emf.cdo.common.lob.CDOLobInfo
  - - org.eclipse.emf.cdo.common.lob.CDOLob<java.io.Reader>
    - - org.eclipse.emf.cdo.common.lob.CDOClob

-     public final class CDOClob
      extends CDOLob<java.io.Reader>

  An identifiable character large object with streaming support.
  Since:
    4.0
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDOClob​(java.io.Reader contents)` |
    `CDOClob​(java.io.Reader contents, CDOLobStore store)` |
    `CDOClob​(java.lang.String contents, CDOLobStore store)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.Reader` | `getContents()` |
    `java.lang.String` | `getString()` |
    `protected CDOLobInfo` | `put​(java.io.Reader contents)` |

    - ### Methods inherited from class org.eclipse.emf.cdo.common.lob.CDOLob

      `getStore`

    - ### Methods inherited from class org.eclipse.emf.cdo.common.lob.CDOLobInfo

      `equals, getID, getIDString, getSize, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOClob

          public CDOClob​(java.io.Reader contents)
                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### CDOClob

          public CDOClob​(java.io.Reader contents,
                         CDOLobStore store)
                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### CDOClob

          public CDOClob​(java.lang.String contents,
                         CDOLobStore store)
                  throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        4.13

  - ### Method Detail

    - #### getContents

          public java.io.Reader getContents()
                                     throws java.io.IOException

      Specified by:
        `getContents` in class `CDOLob<java.io.Reader>`
      Throws:
        `java.io.IOException`

    - #### getString

          public java.lang.String getString()
                                     throws java.io.IOException

      Specified by:
        `getString` in class `CDOLob<java.io.Reader>`
      Throws:
        `java.io.IOException`
      Since:
        4.13

    - #### put

          protected CDOLobInfo put​(java.io.Reader contents)
                            throws java.io.IOException

      Specified by:
        `put` in class `CDOLob<java.io.Reader>`
      Throws:
        `java.io.IOException`